
Infrastructure - Task #3610

Include ESRI-specific FGDC metadata schema in object format list

2013-02-26 16:14 - Ben Leinfelder

Status: In Progress Start date: 2013-02-27

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 30%

Category: Environment.Production Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.1.2 Story Points:  

Product Version: *   

Description

The SANParks node uses an ESRI/ArcGIS flavor of the FGDC metadata standard. Currently we have no ObjectFormatId for this

metadata and they are classified as text/plain data objects.

Original (as it should be):

http://dataknp.sanparks.org/sanparks/metacat/nikkis.180.1/sanparks

In DataONE MN:

http://dataknp.sanparks.org/sanparks/d1/mn/v1/meta/nikkis.180.1

in CN:

https://cn.dataone.org/cn/v1/meta/nikkis.180.1

We need to add an appropriate format to the list and reclassify these objects both on the CN and the MN.

Subtasks:

Task # 3625: Update existing SANParks doctype="metadata" objects to new ESRI/FGDC objec... New

Task # 3626: Metacat should use correct object format for ESRI profile metadata New

Related issues:

Related to Infrastructure - Task #3624: Update CN index processing to support... Testing 2013-02-27

History

#1 - 2013-02-27 23:51 - Ben Leinfelder

We settled on using the embedded DTD URL as the formatId even though it does not resolve anymore and is commented out of the source

documents.

formatId: http://www.esri.com/metadata/esriprof80.dtd

formatType: METADATA

formatName: Esri Profile of the Content Standard for Digital Geospatial Metadata, March 2003.

Some additional informational links:

http://www.esri.com/metadata/esriprof80.html

http://downloads.esri.com/support/whitepapers/ao_/GeospatialMetadataProfile_J8709_3-03.pdf

http://webhelp.esri.com/arcgisdesktop/9.3/index.cfm?TopicName=Metadata%20standards%20and%20the%20ArcGIS%20metadata%20format

#2 - 2013-02-27 23:57 - Ben Leinfelder

- Assignee changed from Ben Leinfelder to Chris Jones

#3 - 2013-07-03 00:23 - Chris Jones

- Status changed from New to In Progress
I've added the ESRI format:

https://cn.dataone.org/cn/v1/formats/http://www.esri.com/metadata/esriprof80.dtd
